@charset "utf-8";

/* sectionHomeMovie
---------------------------------------------- */
.sectionHomeMovie {
  padding-block: 150px;
  position: relative;
  z-index: 0;
}
.sectionHomeMovie::before {
  z-index: -1;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 0 300px 0 0;
  background: #CAE1DB;
  content: '';
}

.sectionHomeMovie .pageTitleEn {
  color: #B6AB84;
  background: none;
  text-align: center;
  -webkit-text-fill-color: revert;
}
.sectionHomeMovie .pageTitleEn::after {
  left: 50%;
  transform: translate(-50%, 0);
}
.sectionHomeMovie .pageTitleJa {
  color: #555;
  font-size: 18px;
  letter-spacing: 0.1em;
  line-height: 1.8;
  text-align: center;
}

.sectionHomeMovieBox {
  display: flex;
  justify-content: center;
}
.sectionHomeMovieItem {
  display: flex;
  flex-direction: column;
  width: 50%;
  position: relative;
  z-index: 0;
}
.sectionHomeMovieItem:nth-child(1) {
  padding-right: calc(72 / 1200 * 100%);
}
.sectionHomeMovieItem:nth-child(2) {
  padding-left: calc(72 / 1200 * 100%);
}
.sectionHomeMovieItem:nth-child(2)::before {
  content: '';
  width: 1px;
  height: 100%;
  background-color: #B6AB84;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translate(0, -50%);
  z-index: 0;
}

.sectionHomeMovieItem__headline {
  font-size: 18px;
  letter-spacing: 0.1em;
  line-height: 1.6;
  text-align: center;
}
.sectionHomeMovieItem__text {
  font-size: 14px;
  letter-spacing: 0.1em;
  line-height: 1.5;
  margin-block: 1em 2em;
  text-align: center;
}

.sectionHomeMovie__btn {
  display: block;
  margin-top: auto;
}

/* movieModal */
.movieModal .modal__container {
  background: none;
  padding-block: 60px 20px;
}

.movieModal .modal__content {
  position: relative;
  width: 100%;
  aspect-ratio: 16 / 9;
  overflow: hidden;
}
/* .movieModal--short .modal__content {
  aspect-ratio: 9 / 16;
  max-width: 560px;
  margin-inline: auto;
} */
.movieModal .modal__content iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.movieModal .modal__close {
  width: 40px;
  aspect-ratio: 1;
  top: 0;
  right: 0;
}
.movieModal .modal__close::before,
.movieModal .modal__close::after {
  content: '';
  width: 100%;
  height: 2px;
  background-color: #fff;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(45deg);
  z-index: 1;
}
.movieModal .modal__close::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}

@media screen and (max-width: 768px) {
  .sectionHomeMovie {
    padding-block: 80px;
  }
  .sectionHomeMovie::before {
    border-radius: 0 150px 0 0;
  }

  .sectionHomeMovie .pageTitleEn {
    font-size: 32px;
  }
  .sectionHomeMovie .pageTitleEn::after {
    width: 60px;
  }
  .sectionHomeMovie .pageTitleJa {

  }

  .sectionHomeMovieBox {
    flex-direction: column;
  }
  .sectionHomeMovieItem {
    display: block;
    width: 100%;
  }
  .sectionHomeMovieItem:nth-child(1) {
    padding-right: 0;
    padding-bottom: 40px;
  }
  .sectionHomeMovieItem:nth-child(2) {
    padding-left: 0;
    padding-top: 40px;
  }
  .sectionHomeMovieItem:nth-child(2)::before {
    width: 100%;
    height: 1px;
    top: 0;
    transform: translate(0, 0);
  }

  .sectionHomeMovieItem__text {
    font-size: 12px;
    line-height: 1.3;
  }

  /* movieModal */
  .movieModal .modal__container {
    padding: 30px 0;
  }

  .movieModal--short .modal__container {
    padding-inline: 30px;
  }
  .movieModal--short .modal__content {
    aspect-ratio: 9 / 16;
    max-width: 560px;
    margin-inline: auto;
  }

  .movieModal .modal__close {
    width: 20px;
  }
  .movieModal .modal__close::before,
  .movieModal .modal__close::after {
    height: 1px;
  }
}